source: trunk/toolchain/gcc/Config.in @ 23695

Last change on this file since 23695 was 23695, checked in by kaloz, 6 years ago

fix typo

  • Property svn:eol-style set to LF
File size: 2.6 KB
Line 
1# Choose gcc version.
2
3choice
4        prompt "GCC compiler Version" if TOOLCHAINOPTS
5        default GCC_VERSION_4_2_4 if avr32
6        default GCC_VERSION_4_3_5 if powerpc64
7        default GCC_VERSION_4_3_5 if (TARGET_coldfire || TARGET_etrax || TARGET_gemini)
8        default GCC_VERSION_4_3_3_CS if (arm || armeb) && !(TARGET_gemini || TARGET_omap35xx)
9        default GCC_VERSION_4_3_3_CS if (mips || mipsel) && !(TARGET_octeon || TARGET_sibyte)
10        default GCC_VERSION_4_4_5 if (powerpc || ubicom32)
11        default GCC_VERSION_4_4_5 if (TARGET_omap35xx || TARGET_octeon || TARGET_sibyte)
12        default GCC_VERSION_4_1_2
13        help
14          Select the version of gcc you wish to use.
15
16        config GCC_VERSION_4_1_2
17                bool "gcc 4.1.2"
18
19        config GCC_VERSION_4_2_4
20                bool "gcc 4.2.4"
21
22        config GCC_VERSION_4_3_3
23                bool "gcc 4.3.3"
24
25        config GCC_VERSION_4_3_4
26                bool "gcc 4.3.4"
27
28        config GCC_VERSION_4_3_5
29                bool "gcc 4.3.5"
30
31        config GCC_VERSION_4_4_1
32                bool "gcc 4.4.1"
33
34        config GCC_VERSION_4_4_2
35                bool "gcc 4.4.2"
36
37        config GCC_VERSION_4_4_3
38                bool "gcc 4.4.3"
39
40        config GCC_VERSION_4_4_4
41                bool "gcc 4.4.4"
42
43        config GCC_VERSION_4_4_5
44                bool "gcc 4.4.5"
45
46        config GCC_VERSION_4_5_0
47                bool "gcc 4.5.0"
48
49        config GCC_VERSION_4_5_1
50                bool "gcc 4.5.1"
51
52        config GCC_VERSION_LLVM
53                bool "llvm-gcc 4.2"
54                depends BROKEN
55
56        config GCC_VERSION_4_3_3_CS
57                bool "gcc 4.3.3 with CodeSourcery enhancements"
58
59        config GCC_VERSION_4_4_1_CS
60                bool "gcc 4.4.1 with CodeSourcery enhancements"
61
62        config GCC_VERSION_4_4_3_CS
63                bool "gcc 4.4.3 with CodeSourcery enhancements"
64                depends BROKEN
65
66endchoice
67
68config GCC_USE_GRAPHITE
69        bool
70        prompt "Compile in support for the new Graphite framework in GCC 4.4+" if TOOLCHAINOPTS
71        depends GCC_VERSION_4_4 || GCC_VERSION_4_5
72
73config GCC_USE_SYSTEM_PPL_CLOOG
74        bool
75        prompt "Use the system versions of PPL and CLooG"
76        depends GCC_USE_GRAPHITE
77        default n
78
79config EXTRA_GCC_CONFIG_OPTIONS
80        string
81        prompt "Additional gcc configure options" if TOOLCHAINOPTS
82        default ""
83        help
84            Any additional gcc options you may want to include....
85
86config SSP_SUPPORT
87        bool
88        prompt "Enable Stack-Smashing Protection support" if TOOLCHAINOPTS
89        default n
90        help
91            Enable Stack-Smashing Protection support
92
93config TLS_SUPPORT
94        bool
95        depends UCLIBC_VERSION_NPTL
96        prompt "Enable Thread-local storage (TLS) support" if TOOLCHAINOPTS
97        default n
98        help
99            Enable Thread-local storage support
100
101config INSTALL_LIBSTDCPP
102        bool
103        prompt "Build/install c++ compiler and libstdc++?" if TOOLCHAINOPTS
104        default y
105        help
106            Build/install c++ compiler and libstdc++?
107
108config INSTALL_LIBGCJ
109        bool
110        depends on !(GCC_VERSION_4_1||GCC_VERSION_4_2)
111        prompt "Build/install java compiler and GNU classpath ?" if TOOLCHAINOPTS
112        default n
113        help
114            Build/install java compiler and GNU classpath ?
Note: See TracBrowser for help on using the repository browser.